# -*- coding: utf-8 -*-

from django import template
from dictionary.history import lexeme_table_from_row

register = template.Library()

# potrzebne do rekurencji
@register.inclusion_tag('classification_value_tree.html')
def value_tree(tree):
  return {'value_tree': tree}

@register.filter
def lexeme_table(row):
  return lexeme_table_from_row(row)
