#-*- coding:utf-8 -*-

import sys
from django.core.management.base import BaseCommand, CommandError
from common.util import debug
from accounts.util import bot_history
from dictionary.models import Lexeme, Vocabulary, set_vocabulary

class Command(BaseCommand):
  args = '<input file name>'
  help = 'Does something with a list of words'

  def handle(self, filename, **options):
    edit_words(open(filename))

def edit_words(input_file):
  bot_history()
  anty = Vocabulary.objects.get(id='antyMorfeusz')
  for line in input_file:
    word = line.decode('utf-8').strip()
    lexemes = Lexeme.objects.filter(entry=word)
    for lexeme in lexemes:
      set_vocabulary(lexeme, anty, True)
      # lexeme.save()
